use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct Message {
    pub sender_name: String,
    pub timestamp: usize,
    pub text_content: Option<String>,
    pub photos: Vec<Photo>
}

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct Photo {
    pub text_content: Option<String>,
    pub img_path: String,

    #[serde(skip_serializing)]
    pub original_img_path: String,
}
